Slots

Beta: Get booked slots for a site

get
Authorizations
AuthenticationstringRequired

Authentication is token based. You can issue a token for your API request from the 'API' section of the settings menu. The token MUST be sent in a Authorization header with each request.

Example of authenticated request

$ curl -X GET -H "Authorization: Token <your token>" "https://api.dashdoc.eu/api/v4/"
Path parameters
site-slugstringRequired

The slug identifier of the site

Query parameters
updated_sincestring Β· date-timeOptional

Filter slots updated since this datetime

pageinteger Β· min: 1Optional

Page number for pagination

Default: 1
include_draftbooleanOptional

Include draft slots in the response

Default: false
custom_fieldsstringOptional

Filter slots by custom field label/value pairs. Pass a JSON-encoded object where keys are custom field labels and values are the expected values. The value comparison is case-insensitive. Multiple custom field filters are combined with AND logic.

Example: ?custom_fields={"Order Number": "ORD123", "Truck Color": "blue"}

Example: {"Order Number": "ORD123", "Truck Color": "blue"}
Responses
chevron-right
200

Get successful

application/json
countintegerRequired

Total number of slots

nextstring Β· nullableOptional

URL for the next page of results

previousstring Β· nullableOptional

URL for the previous page of results

get
/flow/sites/{site-slug}/slots/

Last updated

Was this helpful?